package net.ferrum.business.service;

import net.ferrum.business.domain.QsSpecAttributeTypes;
import net.ferrum.business.domain.vo.QsSpecAttributeTypesVo;
import net.ferrum.business.domain.bo.QsSpecAttributeTypesBo;
import net.ferrum.common.core.page.TableDataInfo;
import net.ferrum.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 规格类型Service接口
 *
 * @author ruoyi
 * @date 2025-07-19
 */
public interface IQsSpecAttributeTypesService {

    /**
     * 查询规格类型
     */
    QsSpecAttributeTypesVo queryById(Long typeId);

    /**
     * 查询规格类型列表
     */
    TableDataInfo<QsSpecAttributeTypesVo> queryPageList(QsSpecAttributeTypesBo bo, PageQuery pageQuery);

    /**
     * 查询规格类型列表
     */
    List<QsSpecAttributeTypesVo> queryList(QsSpecAttributeTypesBo bo);

    /**
     * 新增规格类型
     */
    Boolean insertByBo(QsSpecAttributeTypesBo bo);

    /**
     * 修改规格类型
     */
    Boolean updateByBo(QsSpecAttributeTypesBo bo);

    /**
     * 校验并批量删除规格类型信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 获取规格参数类型列表
     *
     */
    public List<QsSpecAttributeTypes> selectSpecAttributeTypesList(QsSpecAttributeTypes type) ;

}
